Zum Hauptinhalt springen

task-add

Add a tasks, that represents something to do by someone or something

Request Body REQUIRED
type string REQUIRED

Possible values: [agent, todo, updateChunksForCard, updateChunksForLink, followLinksForChunk, enrichPdfImageChunk, deleteExpiredData, github_sync, github_issue]

kind string

Possible values: [chat, task, project, goal, decision]

Kind of item. Default: "task". Also: "chat", "project", "goal", "decision".

domain string
data REQUIRED

Data to be passed to the task, this is manly when the task is a tool call

priority integer

Possible values: value ≤ 4

Integer priority in [0…4]. 0: low · 1: medium · 2: high · 3: critical · 4: extreme. Higher = more important. Agent tools should use the label enum instead.

maxRetries number
botId number
chunkId uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

scheduledFor string

Date and time in ISO8601 format when the task should be executed

subtaskOf

ID of the task this task is a subtask of

blocks uuid[]

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

IDs of the tasks this task blocks, thus tasks that can only be done if this task is complete

blockedBy uuid[]

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

IDs of the tasks this task blocks, thus tasks that must be completed before this task can be started or continued

agentId

ID of the agent to run the task; omit to inherit from subtaskOf parents (last wins). Pass null for unassigned. Assigning a bot agent starts background execution.

toolId string

ID of the tool to run the task

name string

Name of the task, mainly used in the UI

description string
repeat string

Legacy: Cron expression for task repetition

repetitionPattern object

German repetition pattern

type string REQUIRED

Possible values: [interval, hourly, daily, weekly, monthly, weekdays]

interval number REQUIRED

Possible values: 0 < value

minuteOfHour number

Possible values: value ≤ 59

time object
hour number REQUIRED

Possible values: value ≤ 23

minute number REQUIRED

Possible values: value ≤ 59

weekday
dayOfMonth
weekOfMonth
timezone string
repetitionText string

Original German repetition text

duration
deadline string

date and time in ISO8601 format when the task must be completed

repetitionTimeout
spaceId uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Owner space. Omit to inherit from subtaskOf parents (last wins), else the actor space.

parentTaskId uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

isPersonalAssistant

Flag to indicate task is for personal assistant (vs user)

repetitionOf uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

facets object
silent boolean

Internal system task: no subscriptions, attention requests or user notifications

subscribers uuid[]

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Spaces or user IDs to subscribe at create time (same as Abonnieren). User IDs are resolved to their personal space. They receive a creation notification and later comment/status notifications.

subscriberSpaceIds uuid[]

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

sourceUrl
sourceType
sourceId
Responses
200

Successful response

Schema OPTIONAL
id uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

shortId string
kind string

Possible values: [chat, task, project, goal, decision]

type string
status string

Possible values: [pending, running, completed, failed, cancelled, sleeping, waiting, blocked]

conversationStatus
conclusion
concludedMessageId
priority number
data
result OPTIONAL
error
progress OPTIONAL
progressMessage OPTIONAL
updatedAt string
createdAt string
startedAt
completedAt
scheduledFor
spaceId
creatorId
chunkId
retries number
maxRetries number
nextRetryAt
lockedBy
lockedAt
triggerId
state OPTIONAL
retainUntil
agentId
toolId
repeat
repetitionPattern
repetitionText
repetitionOf
repetitionTimeout OPTIONAL
name
description
minDuration
maxDuration
deadline
sourceUrl
sourceType
sourceId
400

Invalid input data

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema OPTIONAL
message string

The error message

code string

The error code

issues object[] OPTIONAL

An array of issues that were responsible for the error

message string